﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Grafo_Consola
{
    class ClaseNodoCamino : IComparable<ClaseNodoCamino>, IEquatable<ClaseNodoCamino>
    {
        private string dato;  // Dato del nodo
        private string origen;  // Dato del nodo antecesor

        // Propiedad pública para controlar el dato
        public string Dato
        {
            get { return (dato); }
            set { dato = value; }
        }

        // Propiedad pública para controlar el antecesor
        public string Origen
        {
            get { return (origen); }
            set { origen = value; }
        }

        // Método para comparar dos nodos y determinar el criterio de ordenamiento
        public int CompareTo(ClaseNodoCamino x)
        {
            return (this.Dato.CompareTo(x.Dato));
        }

        // Método para comparar dos nodos y determinar si son iguales
        public bool Equals(ClaseNodoCamino x)
        {
            if (this.Dato == x.Dato)
                return (true);
            else
                return (false);
        }
    }
}
