﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Grafo_Consola
{
    class ClaseArcos : IComparable<ClaseArcos>, IEquatable<ClaseArcos>
    {
        // Destino del arco
        private ClaseNodoGrafo destino;

        // Propiedad pública para el destino
        public ClaseNodoGrafo Destino
        {
            get { return (destino); }
            set { destino = value; }
        }

        // Método público para comparar dos arcos de acuerdo a su Destino
        // y establecer el criterio para mantenerlos ordenados
        public int CompareTo(ClaseArcos x)
        {
            return this.Destino.Dato.CompareTo(x.Destino.Dato);
        }

        // Método público para comparar dos arcos y determinar si son iguales
        public bool Equals(ClaseArcos x)
        {
            return this.Destino.Dato == x.Destino.Dato;
        }
    }
}
