﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Grafo_Consola
{
    class ClaseArcosInversos : IComparable<ClaseArcosInversos>, IEquatable<ClaseArcosInversos>
    {
        // Origen del arco inverso
        private ClaseNodoGrafo origen;

        // Propiedad pública para el origen
        public ClaseNodoGrafo Origen
        {
            get { return (origen); }
            set { origen = value; }
        }

        // Método público para comparar dos arcos inversos de acuerdo a su Origen
        // y establecer el criterio para mantenerlos ordenados
        public int CompareTo(ClaseArcosInversos x)
        {
            return this.Origen.Dato.CompareTo(x.Origen.Dato);
        }

        // Método público para comparar dos arcos inversos y determinar si son iguales
        public bool Equals(ClaseArcosInversos x)
        {
            return this.Origen.Dato == x.Origen.Dato;
        }

        public override string ToString()
        {
            return Origen.Dato.ToString();
        }

        //// Origen del arco inverso
        //private int origen;

        //// Propiedad pública para el origen
        //public int Origen
        //{
        //    get { return (origen); }
        //    set { origen = value; }
        //}

        //// Método público para comparar dos arcos inversos de acuerdo a su Origen
        //// y establecer el criterio para mantenerlos ordenados
        //public int CompareTo(ClaseArcosInversos x)
        //{
        //    return (this.Origen.ToString().CompareTo(x.Origen.ToString()));
        //}

        //// Método público para comparar dos arcos inversos y determinar si son iguales
        //public bool Equals(ClaseArcosInversos x)
        //{
        //    if (this.Origen == x.Origen)
        //        return (true);
        //    else
        //        return (false);
        //}
    }
}
